import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 * @stability stable
 */
export interface RepositoryCollaboratorConfig extends TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly permission?: string;
    /**
     * @stability stable
     */
    readonly repository: string;
    /**
     * @stability stable
     */
    readonly username: string;
}
/**
 * @stability stable
 */
export declare class RepositoryCollaborator extends TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: RepositoryCollaboratorConfig);
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    get invitationId(): string;
    private _permission?;
    /**
     * @stability stable
     */
    get permission(): string;
    /**
     * @stability stable
     */
    set permission(value: string);
    /**
     * @stability stable
     */
    resetPermission(): void;
    /**
     * @stability stable
     */
    get permissionInput(): string | undefined;
    private _repository;
    /**
     * @stability stable
     */
    get repository(): string;
    /**
     * @stability stable
     */
    set repository(value: string);
    /**
     * @stability stable
     */
    get repositoryInput(): string;
    private _username;
    /**
     * @stability stable
     */
    get username(): string;
    /**
     * @stability stable
     */
    set username(value: string);
    /**
     * @stability stable
     */
    get usernameInput(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
