import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 * @stability stable
 */
export interface UserGpgKeyConfig extends TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly armoredPublicKey: string;
}
/**
 * @stability stable
 */
export declare class UserGpgKey extends TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: UserGpgKeyConfig);
    private _armoredPublicKey;
    /**
     * @stability stable
     */
    get armoredPublicKey(): string;
    /**
     * @stability stable
     */
    set armoredPublicKey(value: string);
    /**
     * @stability stable
     */
    get armoredPublicKeyInput(): string;
    /**
     * @stability stable
     */
    get etag(): string;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    get keyId(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
